GET
/api/Merchants/me
const url = 'https://example.com/api/Merchants/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/Merchants/me \ --header 'Authorization: Bearer <token>'Returns the merchant linked to the signed-in user, derived from the JWT.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Merchant detail.
Media type application/json
object
id
string format: uuid
name
string
description
string
contactEmail
string
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
paychoiceEnvironment
string
merchantGuidConfigured
boolean
paychoiceMerchantProfileId
string
billingRetryOffsetsDays
string
billingTerminalAction
string
bankSettlementWindowDays
integer format: int32
Example
{ "paychoiceEnvironment": "Staging", "billingTerminalAction": "Cancel"}No valid token on the request.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Merchant referenced by the token no longer exists.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}